# python  C:\Users\rafae\Dropbox\clean_cache.py
# python  C:\Users\rafae\Dropbox\workspace\code\202109_stag_interp_v5\all_interp\code\scheduler.py
# python  C:\Users\rafae\Dropbox\clean_cache.py

# ------------------------------------------------------------------------
#                  Basic Library
# ------------------------------------------------------------------------

from  sys      import  argv
from  os.path  import  basename

# ------------------------------------------------------------------------
#                  Custom Library
# ------------------------------------------------------------------------

from core.engine                  import  Engine
from core.utils                   import  as_namedtuple
from core.io_access               import  data_dirs
from summary_cf_nu.summary_cf_nu  import  Mk_summary_cf_nu

# ------------------------------------------------------------------------
#                  Folder Paths
# ------------------------------------------------------------------------

unzipped_dns_dir  =  data_dirs.unzipped_dns_dir

# ------------------------------------------------------------------------
#                  Direct Runner
# ------------------------------------------------------------------------

mk_argsVar  =  lambda n_side :  as_namedtuple({  'tol'     : 'lambda m: 0.9*m'  ,
                                                 'n_side'  :  n_side              ,  
                                              }, 'grid_args')

if __name__ == "__main__":
    _, folder_path               =  argv
    
    for c in r' /  \ ':
        if folder_path[-1] == c:
            folder_path = folder_path[:-1]

    n_side_UT                    =  1
    
    argsT         =  argsU       =  mk_argsVar(n_side_UT)
    argsP                        =  mk_argsVar(2)
    
    args  =  as_namedtuple({   'folder_path' :  folder_path  ,
                               'argsP'       :  argsP        ,
                               'argsT'       :  argsT        ,
                               'argsU'       :  argsU        ,
                           },  'main_args')
    eng = Engine(args)
    eng.fprint('Done! (calculations complete)')

    Mk_summary_cf_nu(basename(eng.subfolder_out))
